Bug 109689 - (SKFP) SysKonnect 5821/5822 FDDI NIC does not work on SMP systems.
(SKFP) SysKonnect 5821/5822 FDDI NIC does not work on SMP systems.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kudzu (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks: 156320 156322
  Show dependency treegraph
 
Reported: 2003-11-10 18:32 EST by Mark Langsdorf
Modified: 2014-03-16 22:40 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2005-667
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 12:55:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for this issue (2.11 KB, patch)
2005-03-01 00:28 EST, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Mark Langsdorf 2003-11-10 18:32:41 EST
Description of problem:
The SysKonnect FDDI cards will not activate on the IBM e325 server.
The card driver modules can be probed and installed. (driver mod - 
skfp)
The card can be configured with a TCP/IP address and Subnet mask.
The card can not be activated through the command line or GUI 
interfaces.
There is no card activity light when a cable is connected to any of 
the card ports.
Ifconfig displays the card as fddi0 and not eth2, as seen in the GUI 
network device config.
The assigned TCP/IP address scheme is not shown in the ifconfig –a 
output.

This problem also appears on an Intel Xeon 2P board.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Insert a SysKonnect 5821 or 5822 FDDI card into an IBM e325 2P 
Opteron server system or other 2P system.
2.  Install RHEL3 AS (for i386 or AMD64) and configure the SK card 
for DHCP.
3.  Run ifconfig -a to get the card's IP address.
  
Actual results:
Card is listed as fddi0 and has no associated IP address.  Link light 
does not come on.  No network connectivity.

Expected results:
Card should be listed as eth2 with an IP address.  Link light should 
come on.  Local network should be available through ping, ssh, etc.

Additional info:
Comment 1 Mark Langsdorf 2004-01-09 12:12:21 EST
Any update on this?  IBM has asked for resolution on this issue.
Comment 2 Jeff Garzik 2004-01-12 14:00:59 EST
Card should _not_ be listed as eth2.  fddiX is the correct interface name.

It sounds like RHEL is not correctly handling FDDI interface
differences from ethernet.
Comment 3 Jeff Garzik 2004-01-12 14:01:36 EST
Are you able to communicate with the network, if you manually
configure the fddiX interface, and manually tell DHCP to use that
interface?
Comment 4 Mark Langsdorf 2004-01-29 17:40:10 EST
The card still does not work when we use `ifconfig fddiX ` to 
configure it.
Comment 5 Mark Langsdorf 2004-02-26 16:30:37 EST
Are there any additional actions I can take to help debug this issue?
Comment 6 Wendy Hung 2004-03-09 11:44:29 EST
Same RHEL 3 bug reproduced wuth SK5843 64-bit FDDI Adapter.

The device installs in the OS with the native driver, but the device 
will not start.   The fddi adapter is misnamed ethx instead of fddix 
by the Kudzu during installation. This causes the driver to not see 
the adapter when the driver loads.  Fix is to rename the SK adapter 
from ethx to fddix.
Comment 7 Bill Nottingham 2004-04-16 12:24:31 EDT
What's the lspci output for such a card? What driver does it use?
Comment 8 Mark Langsdorf 2004-04-19 13:47:26 EDT
It uses the skfp driver.  I don't have the lspci handy but I'll try 
to get it today.
Comment 9 Mark Langsdorf 2004-05-12 15:38:56 EDT
lspci dump
03:04.0 FDDI network controller: Syskonnect (Schneider & Koch) FDDI 
Adapter (rev 23)
00: 48 11 00 40 16 00 b0 02 23 00 02 02 10 40 00 00
10: 00 00 10 fe 01 40 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 48 11 21 58
30: 00 00 00 00 48 00 00 00 00 00 00 00 07 01 08 a0
40: 55 00 f0 07 f9 00 a0 01 01 50 21 00 00 20 00 59
50: 03 00 00 80 82 36 00 53 00 00 00 00 00 00 00 00
60: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
70: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
80: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00

Comment 10 Wendy Hung 2004-05-19 10:54:32 EDT
The SK5843 64-bit FDDI Adapter works OK now with RHEL 3 Update 2.
Comment 11 Bill Nottingham 2004-05-19 16:48:35 EDT
So this can be closed?
Comment 12 Mark Langsdorf 2004-05-19 17:00:31 EDT
AMD is still verifying the fix.
Comment 13 Mark Langsdorf 2004-06-07 13:04:36 EDT
AMD validation reports that Kudzu is still naming the device as an 
ethX interface, not an fddiX interface.  I don't think this can be 
closed yet.
Comment 20 Bill Nottingham 2005-03-01 00:28:28 EST
Created attachment 111514 [details]
patch for this issue

Here's a patch that should at least solve the device naming in kudzu.
Comment 21 Bill Nottingham 2005-03-01 00:37:05 EST
kudzu-1.1.22.12-1 at http://people.redhat.com/notting/kudzu/ has this patch.
Comment 26 Bill Nottingham 2005-07-14 16:20:57 EDT
Fixed in 1.1.95.13-1/1.1.22.13-1.
Comment 29 Red Hat Bugzilla 2005-09-28 14:23:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-666.html
Comment 30 Red Hat Bugzilla 2005-10-05 12:55:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-667.html

Note You need to log in before you can comment on or make changes to this bug.